Summary:	Cdrdao - Write CDs in disk-at-once mode
Name:		cdrdao
Version:	1.2.5
Release:	%mkrel 3
License:	GPLv2+
Group:		Archiving/Cd burning
URL:		https://cdrdao.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/cdrdao/%{name}-%{version}.tar.bz2
# https://github.com/cdrdao/cdrdao/pull/21
# should fix whipper failure with this version of cdrdao:
# https://github.com/whipper-team/whipper/issues/591
# https://bugzilla.redhat.com/show_bug.cgi?id=2238243
Patch:     21.patch
# https://github.com/cdrdao/cdrdao/pull/25
# fixes the "cdrdao version" command broken in 1.2.5 that brasero relies on
Patch1:    cdrdao-1.2.5-Fix-version-command.patch
# https://github.com/cdrdao/cdrdao/pull/35
# Fix build with GCC 15 (C23)
Patch2:    cdrdao-1.2.5-gcc15.patch
Patch10:	mkisofs-changelog.patch
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(ao)
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils

%description
Writes CDs in disc-at-once (DAO) mode allowing control over pre-gaps
(length down to 0, nonzero audio data) and sub-channel information
like ISRC codes. All data that is written to the disc must be
specified with a text file. Audio data may be in WAVE or raw format.

%package	gcdmaster
Summary:	Graphical front end to cdrdao for creating audio CDs
Group:		Archiving/Cd burning
BuildRequires:	pkgconfig(gtkmm-3.0)
Provides:	cdrdao-xdao
Provides:	cdrdao-xcdrdao
Requires:	%{name} = %{version}

%description    gcdmaster
gcdmaster allows the creation of toc-files for cdrdao and can control
the recording process. Its main application is the creation of audio
CDs from one or more audio files. It supports PQ-channel editing,
entry of meta data like ISRC codes/CD-TEXT and non-destructive cut of
the audio data.

%package	toc2mp3
Summary:	Command line MP3 encoder front end to cdrdao
Group:		Sound/Editors and Converters
BuildRequires:	liblame-devel
Requires:	%{name} = %{version}

%description	toc2mp3
This is a command line MP3 encoder that converts audio CD disc images
(toc files) to MP3 files. Special care is taken that the MP3 files can
be played in sequence without having unwanted noise at the transition
points. CD-TEXT information (if available) is used to set ID3 (v2)
tags and to construct the name of the MP3 files.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

# Menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="X-Fedora" \
  --remove-key="Encoding" \
  --add-category="GTK" \
  --add-category="DiscBurning" \
  --set-icon="gcdmaster" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# icon
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
convert -scale 16 gcdmaster/gcdmaster.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/gcdmaster.png
convert -scale 32 gcdmaster/gcdmaster.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/gcdmaster.png
install -m 644 gcdmaster/gcdmaster.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/gcdmaster.png

%files
%doc AUTHORS ChangeLog README README.PlexDAE
%license COPYING
%attr(6755,root,cdwriter) %{_bindir}/cdrdao
%{_bindir}/toc2cue
%{_bindir}/toc2cddb
%{_bindir}/cue2toc
%{_datadir}/%{name}/
%{_mandir}/man1/*

%files gcdmaster
%doc AUTHORS ChangeLog README README.PlexDAE
%license COPYING
%{_bindir}/gcdmaster
%{_datadir}/applications/gcdmaster.desktop
%{_datadir}/application-registry/gcdmaster.applications
%{_datadir}/gcdmaster/
%{_datadir}/glib-2.0/schemas/org.gnome.gcdmaster.gschema.xml
%{_datadir}/mime-info/gcdmaster.keys
%{_datadir}/mime-info/gcdmaster.mime
%{_datadir}/mime/packages/gcdmaster.xml
%{_datadir}/pixmaps/gcdmaster*.png
%{_iconsdir}/hicolor/*/apps/*.png

%files toc2mp3
%doc AUTHORS ChangeLog README README.PlexDAE
%license COPYING
%{_bindir}/toc2mp3


%changelog
* Sun Apr 13 2025 tv <tv> 1.2.5-3.mga10
+ Revision: 2175506
- fix Fix uninitialized TOC data file name (segfault)
- Fix version command
- Fix build with GCC 15 (C23)

* Fri Dec 20 2024 ns80 <ns80> 1.2.5-2.mga10
+ Revision: 2126704
- bump rel

* Thu Feb 09 2023 daviddavid <daviddavid> 1.2.5-1.mga9
+ Revision: 1939609
- new version: 1.2.5
- re-enable gcdmaster now depends on gtkmm-3.0
- build cdrdao-toc2mp3 also in Core due to mp3/lame license change

* Fri Oct 28 2022 wally <wally> 1.2.4-7.mga9
+ Revision: 1899918
- drop gcdmaster to get rid of ancient libgnomeuimm2.6

* Wed Apr 06 2022 umeabot <umeabot> 1.2.4-6.mga9.tainted
+ Revision: 1845950
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.2.4-5.mga8.tainted
+ Revision: 1519182
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.2.4-4.mga7
+ Revision: 1297325
- Mageia 7 Mass Rebuild

* Sat Sep 22 2018 umeabot <umeabot> 1.2.4-3.mga7.tainted
+ Revision: 1296040
- Mageia 7 Mass Rebuild

* Wed Jun 13 2018 shlomif <shlomif> 1.2.4-2.mga7
+ Revision: 1236807
- Fix build due to build_plf

* Mon May 28 2018 shlomif <shlomif> 1.2.4-1.mga7.tainted
+ Revision: 1232821
- New version 1.2.4

* Sat May 06 2017 luigiwalser <luigiwalser> 1.2.3-13.mga6.tainted
+ Revision: 1099320
- fix build error because gdk pixmap is not an int

* Thu Feb 11 2016 umeabot <umeabot> 1.2.3-12.mga6
+ Revision: 953612
- Mageia 6 Mass Rebuild

* Tue Sep 01 2015 cjw <cjw> 1.2.3-11.mga6
+ Revision: 871727
- add -std=gnu++11 to CXXFLAGS to fix build with latest libsigc++
- patch12: fix build with gcc 5
- patch13: drop reference to removed libsigc++ header

* Tue Sep 16 2014 umeabot <umeabot> 1.2.3-10.mga5.tainted
+ Revision: 678340
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.3-9.mga4.tainted
+ Revision: 503313
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.2.3-8.mga3.tainted
+ Revision: 347534
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 malo <malo> 1.2.3-7.mga3.tainted
+ Revision: 322770
- update RPM group

* Sat Feb 18 2012 wally <wally> 1.2.3-6.mga2.tainted
+ Revision: 210334
- rebuild due to a missing pkgs (mga#4568)

* Sun May 29 2011 cjw <cjw> 1.2.3-5.mga1.tainted
+ Revision: 100698
- add support for tainted builds

* Mon Feb 07 2011 ennael <ennael> 1.2.3-4.mga1
+ Revision: 48639
- clean mdk version
- imported package cdrdao

